Summary: Ctors | Methods | Inherited Methods | [Expand All]
public class

# DataExtractionOptions

extends OptionsBase

java.lang.Object
↳ | com.pdftron.pdf.OptionsBase
| ↳ | com.pdftron.pdf.DataExtractionOptions

## Summary

Public Constructors
| DataExtractionOptions() Constructor.
| DataExtractionOptions(String json_string) Constructor.

Public Methods
DataExtractionOptions | addExclusionZonesForPage(RectCollection value, int page_num) Adds an Exclusion Zone to the ExclusionZonesForPage array.
DataExtractionOptions | addInclusionZonesForPage(RectCollection value, int page_num) Adds an Inclusion Zone to the InclusionZonesForPage array.
boolean | getDeepLearningAssist() Gets the value DeepLearningAssist from the options object.
boolean | getDetectEmptyFields() Gets the value DetectEmptyFields from the options object.
String | getFormExtractionEngine() Gets the value FormExtractionEngine from the options object.
String | getLanguage() Gets the value Language from the options object.
double | getMinimumConfidenceThreshold() Gets the value MinimumConfidenceThreshold from the options object.
String | getOverlappingFormFieldBehavior() Gets the value OverlappingFormFieldBehavior from the options object.
String | getPDFPassword() Gets the value PDFPassword from the options object.
String | getPages() Gets the value Pages from the options object.
boolean | getTextRecoveryNSE() Gets the value TextRecoveryNSE from the options object.
DataExtractionOptions | setDeepLearningAssist(boolean value) Sets the value for DeepLearningAssist in the options object.
DataExtractionOptions | setDetectEmptyFields(boolean value) Sets the value for DetectEmptyFields in the options object.
DataExtractionOptions | setFormExtractionEngine(String value) Sets the value for FormExtractionEngine in the options object.
DataExtractionOptions | setLanguage(String value) Sets the value for Language in the options object.
DataExtractionOptions | setMinimumConfidenceThreshold(double value) Sets the value for MinimumConfidenceThreshold in the options object.
DataExtractionOptions | setOverlappingFormFieldBehavior(String value) Sets the value for OverlappingFormFieldBehavior in the options object.
DataExtractionOptions | setPDFPassword(String value) Sets the value for PDFPassword in the options object.
DataExtractionOptions | setPages(String value) Sets the value for Pages in the options object.
DataExtractionOptions | setTextRecoveryNSE(boolean value) Sets the value for TextRecoveryNSE in the options object.

[Expand] Inherited Methods
From class java.lang.Object
boolean | equals(Object arg0)
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)
final void | wait()

## Public Constructors

#### public DataExtractionOptions ()

Constructor.

##### Throws

PDFNetException |

#### public DataExtractionOptions (String json_string)

Constructor.

##### Throws

PDFNetException |

## Public Methods

#### public DataExtractionOptions addExclusionZonesForPage (RectCollection value, int page_num)

Adds an Exclusion Zone to the ExclusionZonesForPage array. Optional list of page areas to be excluded from analysis. Zones should be provided as a collection of Rects paired with a page number. The Rects are then applied to the corresponding page. Rects are specified in User Space coordinates. If this is set, the specified areas will not be analyzed. If neither this nor InclusionZonesForPage is set, the entire page will be analyzed. This option only affects the GenericKeyValue, FormKeyValue, and FormField engines.

##### Parameters

value | List of page areas to be excluded from analysis.
page_num | The page number (1-indexed) to which the exclusion zones apply.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public DataExtractionOptions addInclusionZonesForPage (RectCollection value, int page_num)

Adds an Inclusion Zone to the InclusionZonesForPage array. Optional list of page areas to be included in analysis (to the exclusion of all other areas). Zones should be provided as a collection of Rects paired with a page number. The Rects are then applied to the corresponding page. Rects are specified in User Space coordinates. If this is set, only the areas specified will be analyzed. If neither this nor ExclusionZonesForPage is set, the entire page will be analyzed. This option only affects the GenericKeyValue, FormKeyValue, and FormField engines.

##### Parameters

value | List of page areas to be included in analysis.
page_num | The page number (1-indexed) to which the inclusion zones apply.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public boolean getDeepLearningAssist ()

Gets the value DeepLearningAssist from the options object. Specifies if Deep Learning is used with table recognition in the DocStructure engine. The default is false. When true, table recognition accuracy improves at the cost of increased processing time. This only affects the DocStructure engine.

##### Returns

- Specifies if Deep Learning is used with table recognition in the DocStructure engine. The default is false. When true, table recognition accuracy improves at the cost of increased processing time. This only affects the DocStructure engine.

##### Throws

PDFNetException |

#### public boolean getDetectEmptyFields ()

Gets the value DetectEmptyFields from the options object. Specifies if empty fields should be recognized in the GenericKeyValue engine. The default is true. Users who don't require empty fields could benefit from setting this option to false, thus reducing processing time. This setting only affects the GenericKeyValue engine.

##### Returns

- The current value for DetectEmptyFields.

##### Throws

PDFNetException |

#### public String getFormExtractionEngine ()

Gets the value FormExtractionEngine from the options object. Specifies the form extraction engine used in DetectAndAddFormFieldsToPDF, either 'Form' or 'FormKeyValue'. The default is 'Form'.

##### Returns

- Specifies the form extraction engine used in DetectAndAddFormFieldsToPDF, either 'Form' or 'FormKeyValue'. The default is 'Form'.

##### Throws

PDFNetException |

#### public String getLanguage ()

Gets the value Language from the options object. Specifies the OCR language(s). Use 3-letter ISO 639-2 language codes, separated by spaces. Example: "eng deu spa fra". The default is English.

##### Returns

- Specifies the OCR language(s). Use 3-letter ISO 639-2 language codes, separated by spaces. Example: "eng deu spa fra". The default is English.

##### Throws

PDFNetException |

#### public double getMinimumConfidenceThreshold ()

Gets the value MinimumConfidenceThreshold from the options object. Specifies the minimum confidence threshold for a class to be accepted in the DocClassification engine. The default is 0.25. Classes that don't meet the minimum threshold will not be listed in the output JSON. This setting only affects the DocClassification engine.

##### Returns

- The current value for MinimumConfidenceThreshold.

##### Throws

PDFNetException |

#### public String getOverlappingFormFieldBehavior ()

Gets the value OverlappingFormFieldBehavior from the options object. When a detected form field overlaps with an existing one, keep either the old field (value 'KeepOld'), or the new one (value 'KeepNew', default).

##### Returns

- When a detected form field overlaps with an existing one, keep either the old field (value 'KeepOld'), or the new one (value 'KeepNew', default).

##### Throws

PDFNetException |

#### public String getPDFPassword ()

Gets the value PDFPassword from the options object. Specifies the password if the PDF requires one. The default is no password.

##### Returns

- Specifies the password if the PDF requires one. The default is no password.

##### Throws

PDFNetException |

#### public String getPages ()

Gets the value Pages from the options object. Specifies a range of pages to be converted, such as "1-5". By default all pages are converted. The first page has the page number of 1.

##### Returns

- Specifies a range of pages to be converted, such as "1-5". By default all pages are converted. The first page has the page number of 1.

##### Throws

PDFNetException |

#### public boolean getTextRecoveryNSE ()

Gets the value TextRecoveryNSE from the options object. Specifies whether to use OCR in order to automatically recover text with a non-standard encoding. Default is true. This setting only affects the DocStructure engine. Note: This option should only be used by customers who are already familiar with the Solid Documents SDK from being a customer, or if they have been advised by support.

##### Returns

- Specifies whether to use OCR in order to automatically recover text with a non-standard encoding. Default is true.

##### Throws

PDFNetException |

#### public DataExtractionOptions setDeepLearningAssist (boolean value)

Sets the value for DeepLearningAssist in the options object. Specifies if Deep Learning is used with table recognition in the DocStructure engine. The default is false. When true, table recognition accuracy improves at the cost of increased processing time. This only affects the DocStructure engine.

##### Parameters

value | Specifies if Deep Learning is used with table recognition in the DocStructure engine. The default is false. When true, table recognition accuracy improves at the cost of increased processing time. This only affects the DocStructure engine.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public DataExtractionOptions setDetectEmptyFields (boolean value)

Sets the value for DetectEmptyFields in the options object. Specifies if empty fields should be recognized in the GenericKeyValue engine. The default is true. Users who don't require empty fields could benefit from setting this option to false, thus reducing processing time. This setting only affects the GenericKeyValue engine.

##### Parameters

value | The new value for DetectEmptyFields.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public DataExtractionOptions setFormExtractionEngine (String value)

Sets the value for FormExtractionEngine in the options object. Specifies the form extraction engine used in DetectAndAddFormFieldsToPDF, either 'Form' or 'FormKeyValue'. The default is 'Form'.

##### Parameters

value | Specifies the form extraction engine used in DetectAndAddFormFieldsToPDF, either 'Form' or 'FormKeyValue'. The default is 'Form'.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public DataExtractionOptions setLanguage (String value)

Sets the value for Language in the options object. Specifies the OCR language(s). Use 3-letter ISO 639-2 language codes, separated by spaces. Example: "eng deu spa fra". The default is English.

##### Parameters

value | Specifies the OCR language(s). Use 3-letter ISO 639-2 language codes, separated by spaces. Example: "eng deu spa fra". The default is English.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public DataExtractionOptions setMinimumConfidenceThreshold (double value)

Sets the value for MinimumConfidenceThreshold in the options object. Specifies the minimum confidence threshold for a class to be accepted in the DocClassification engine. The default is 0.25. Classes that don't meet the minimum threshold will not be listed in the output JSON. This setting only affects the DocClassification engine.

##### Parameters

value | The new value for MinimumConfidenceThreshold.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public DataExtractionOptions setOverlappingFormFieldBehavior (String value)

Sets the value for OverlappingFormFieldBehavior in the options object. When a detected form field overlaps with an existing one, keep either the old field (value 'KeepOld'), or the new one (value 'KeepNew', default).

##### Parameters

value | When a detected form field overlaps with an existing one, keep either the old field (value 'KeepOld'), or the new one (value 'KeepNew', default).

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public DataExtractionOptions setPDFPassword (String value)

Sets the value for PDFPassword in the options object. Specifies the password if the PDF requires one. The default is no password.

##### Parameters

value | Specifies the password if the PDF requires one. The default is no password.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public DataExtractionOptions setPages (String value)

Sets the value for Pages in the options object. Specifies a range of pages to be converted, such as "1-5". By default all pages are converted. The first page has the page number of 1.

##### Parameters

value | Specifies a range of pages to be converted, such as "1-5". By default all pages are converted. The first page has the page number of 1.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public DataExtractionOptions setTextRecoveryNSE (boolean value)

Sets the value for TextRecoveryNSE in the options object. Specifies whether to use OCR in order to automatically recover text with a non-standard encoding. Default is true. This setting only affects the DocStructure engine. Note: This option should only be used by customers who are already familiar with the Solid Documents SDK from being a customer, or if they have been advised by support.

##### Parameters

value | Specifies whether to use OCR in order to automatically recover text with a non-standard encoding. Default is true.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |